package org.ts.ddcs.Tool;

public class ITreeBranch extends ITree {
    private ITree left;
    private ITree right;
    private double splitValue;


    ITreeBranch(ITree left,ITree right,double splitValue){
        this.left = left;
        this.right = right;
        this.splitValue = splitValue;
    }

    public ITree getLeft() {
        return left;
    }

    public void setLeft(ITree left) {
        this.left = left;
    }

    public ITree getRight() {
        return right;
    }

    public void setRight(ITree right) {
        this.right = right;
    }

    public double getSplitValue() {
        return splitValue;
    }

    public void setSplitValue(double splitValue) {
        this.splitValue = splitValue;
    }

}
